#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
tkinter style POO.

fichier : hi.py
auteur  : Bob
"""

# Import ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
import tkinter as tk

# Définition de classe ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
class App:
    
    def __init__(self, base):
        """Initialisation de l'application graphique."""
        frame = tk.Frame(base)
        frame.pack()
        self.bouton = tk.Button(frame, text='Quit', fg='red', 
                                command=base.destroy)
        self.bouton.pack(side=tk.LEFT)
        self.hi_there = tk.Button(frame, text="Bienvenue !", 
                                  command=self.say_hi)
        self.hi_there.pack(side=tk.LEFT)
        
    def say_hi(self):
        """Callback."""
        print("Bonjour à tous !")
        
# Programme principal ==========================================================
root = tk.Tk()   # fenêtre de base
app = App(root)  # "app" est un objet de la classe App()
root.mainloop()  # lancement de la boucle d'événements
